%define major	1
%define libname	%mklibname benchmark %{major}
%define devname	%mklibname benchmark -d

Name:		google-benchmark
Version:	1.7.1
Release:	%mkrel 1
Summary:	A microbenchmark support library
Group:          System/Libraries
License:	ASL 2.0
URL:		https://github.com/google/benchmark
Source0:	https://github.com/google/benchmark/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	ninja
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(gmock)

%description
A library to support the benchmarking of functions, similar to unit-tests.

#------------------------------------------------

%package -n	%{libname}
Summary:	A microbenchmark support library
Group:		System/Libraries

%description -n	%{libname}
A library to support the benchmarking of functions, similar to unit-tests.

#------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	benchmark-devel = %{version}-%{release}

%description -n	%{devname}
Development headers and files for %{name} libraries.

#------------------------------------------------

%prep
%autosetup -n benchmark-%{version}

sed -i 's@lib/@%{_lib}/@g' src/CMakeLists.txt

%build
%cmake -G Ninja \
       -DBENCHMARK_ENABLE_TESTING:BOOL=OFF
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%doc AUTHORS CONTRIBUTORS CONTRIBUTING.md README.md
%license LICENSE
%{_libdir}/libbenchmark*.so.%{major}{,.*}

%files -n %{devname}
%docdir %{_datadir}/doc/benchmark/
%doc %{_datadir}/doc/benchmark/
%{_libdir}/libbenchmark*.so
%{_includedir}/benchmark/
%{_libdir}/cmake/benchmark/
%{_libdir}/pkgconfig/benchmark.pc


%changelog
* Sun Nov 13 2022 daviddavid <daviddavid> 1.7.1-1.mga9
+ Revision: 1906766
- new version: 1.7.1

* Sun Sep 11 2022 neoclust <neoclust> 1.7.0-1.mga9
+ Revision: 1886933
- New version 	1.7.0

* Tue Mar 29 2022 umeabot <umeabot> 1.6.0-2.mga9
+ Revision: 1833179
- Mageia 9 Mass Rebuild

* Tue Dec 28 2021 wally <wally> 1.6.0-1.mga9
+ Revision: 1765083
- new version 1.6.0

* Mon Apr 26 2021 daviddavid <daviddavid> 1.5.3-1.mga9
+ Revision: 1719954
- new version: 1.5.3

* Mon Sep 14 2020 daviddavid <daviddavid> 1.5.2-1.mga8
+ Revision: 1626501
- new version: 1.5.2

* Mon Jun 29 2020 daviddavid <daviddavid> 1.5.1-1.mga8
+ Revision: 1600311
- initial package google-benchmark

